Bug 103583 - Installer hangs when loading aic7xxx module with intel c440gx+
Installer hangs when loading aic7xxx module with intel c440gx+
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2003-09-02 14:05 EDT by Darren
Modified: 2007-04-18 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Darren 2003-09-02 14:05:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
I'm running an Intel C440GX+ system with dual xeon cpus. I can install/run RH
7.3 with the APIC option perfectly. I'd really like to run RH 9 on this system.
I understand that you've removed the APIC option with RH9? Is there another

Bios Build 108
Adaptec AIC-7896 SCSI BIOS v2.20S1B1

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot from RH9 install CD using Intel C440GX+ with AIC 7896 SCSI

Actual Results:  When loading the aic7xxx module, the scsi bus goes into an
infinite loop.

Additional info:
Comment 1 Aaron Richards 2003-10-10 17:25:34 EDT
I am having the same problem.  With both Redhat 9 and the new beta2 of ten 
(fedora core).

I have a C440GX+ Board
Dual PII Xeon 450's
2 Gigs of RAM

Bios Build 108
Adaptec AIC-7896 SCSI BIOS v2.20S1B1
Comment 2 acount closed by user 2003-10-20 14:46:03 EDT
Did you update to latest Intel and Adaptec firmware ?

-> http://www.intel.com/support/motherboards/server/C440GX/
-> Software & Drivers
-> Non-OS Dependent  
BMC 1.07 [CYFB0107.EXE]  
HSCv0.65 [HSCv65.EXE]

-> http://adaptec.com
find BIOS yourself ;-)
Comment 3 Aaron Richards 2003-11-19 16:58:36 EST
Every thing is updated to the latest firmware and the scsi is onboard 
so it is not supported by adaptec.

I can install 8.0 with the apic option but not 9 or up.
Comment 4 acount closed by user 2003-11-20 13:36:38 EST

the bug is in the kernel code (linux/arch/i386/kernel/pci-irq.c)

There is more info in:
bug #79752
bug #53644
bug #107893
bug #109346

and a patch at bug #107880

2.4.23-rcX contains a fix, give it a try over RH8
Comment 5 Aaron Richards 2003-11-28 14:42:26 EST
I found if you install with this boot command

linux apic acpi=force apm

It will install with Fedora Core 1.
Comment 6 James Tan 2004-02-15 11:40:24 EST
I am using Fedora Core 1, using 
"Additional Comment  #5 From Aaron Richards  on 2003-11-28 14:42 

I found if you install with this boot command

linux apic acpi=force apm

It will install with Fedora Core 1."

to no avail, still hanged when/after loading dpt_i2o or aic7xxxx. I already referred to a 
couple of threads regarding Intel's 440gx+.

Got my workaround too, since I am installing Clarkconnect. What I did is to install CC and 
then update the kernel to the SMP RPM in Fedora Core1. CC is not using SMP (2.4.20.x) yet 
can install with no issues.

No am updating the rest of RPMs to be on par with Fedora Core 1's .

Is there any update on this matter?
Comment 7 Bugzilla owner 2004-09-30 11:41:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.